Summary:	A fast FrameBuffer based TERMinal emulator for linux
Name:	  	fbterm
Version:	1.7
Release:	%mkrel 2
License:	GPLv2+
Group:		Terminals
Source0: 	http://fbterm.googlecode.com/files/%name-%version.tar.xz
URL:		http://code.google.com/p/fbterm/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype2-devel
BuildRequires:	fontconfig-devel
BuildRequires:  gpm-devel
BuildRequires:  %{_lib}x86-devel

%description
FbTerm is a fast terminal emulator for linux with frame buffer. Features
include: 

* mostly as fast as terminal of linux kernel while accelerated scrolling
  is enabled on framebuffer device
* select font with fontconfig and draw text with freetype2, same as
  Qt/Gtk+ based GUI apps
* dynamicly create/destroy up to 10 windows initially running default
  shell
* record scrollback history for every window 
* auto-detect text encoding with current locale, support double width
  scripts like Chinese, Japanese etc
* switch between configurable additional text encodings with hot keys on
  the fly 
* copy/past selected text between windows with mouse when gpm server is
  running

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Sun Nov 10 2013 pinoc <vogtpet at gmail.com> 1.7-2pclos2013
- rebuild for 64

* Fri Jul 15 2011 Galen Seaman <gseaman2186@comcast.net> 1.7-1pclos
- First build for PCLinuxOS


